| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingVariant Class Reference
Utililty classes

The PendingVariant class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant. More...

`#include <TelepathyQt/PendingVariant>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingVariant (QDBusPendingCall call, const SharedPtr< RefCounted > &object)
- ~PendingVariant ()
- QVariant result () const

## Detailed Description

The PendingVariant class is a generic subclass of PendingOperation representing a pending D-Bus method call that returns a variant.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingVariant::PendingVariant | ( | QDBusPendingCall | call,
|  | const SharedPtr< RefCounted > & | object
| ) |  |

Tp::PendingVariant::~PendingVariant | ( |  | ) |

Class destructor.

## Member Function Documentation

QVariant Tp::PendingVariant::result | ( |  | ) | const